<script setup lang="ts">

import Cell from "@/components/atoms/table/Cell.vue";
import Tbody from "@/components/atoms/table/Tbody.vue";
import Row from "@/components/atoms/table/Row.vue";
import Table from "@/components/atoms/table/Table.vue";
import type Shortcut from "@/entities/Shortcut/Shortcut";
import ShortcutCombinaison from "@/components/molecules/text/shortcut/ShortcutCombinaison.vue";

defineProps({
  shortcuts: Array<Shortcut>
})
</script>

<template>
  <Table>
    <Tbody>
    <Row :key="'shortcut_' + shortcut.code" v-for="(shortcut) of shortcuts">
      <Cell class="w-1/2">
        <ShortcutCombinaison :combinaison="shortcut.combinaison"/>
      </Cell>
      <Cell>{{ shortcut.description }}</Cell>
    </Row>
    </Tbody>
  </Table>
</template>